version: "3"

services:
  mysqlsvr:
    restart: always
    image: mysql
    container_name: mysqlsvr
    environment:
      - MYSQL_DATABASE=exdb
      - MYSQL_ROOT_PASSWORD=root
    ports:
      - 33080:3306
    networks:
      - projexnet
  adminer:
    restart: always
    image : adminer
    container_name: meu_adminer_local
    ports:
      - 8080:8080
    depends_on:
      - mysqlsvr
    networks:
      - projexnet
  projex:
    build:
      dockerfile: Dockerfile
      context: .
    container_name: projex_app
    ports:
      - 8082:8082
    networks:
      - projexnet
    depends_on:
      - mysqlsvr
networks:
  projexnet:
    driver: bridge
